require 'redmine'
require File.dirname(__FILE__) + "/lib/mt"

Redmine::Plugin.register :traceability_matrix do
  name 'Redmine Traceability Matrix'
  author 'SeaSideTech'
  version '0.2'
  description 'Plugin to show the traceability matrix between two lists of issues'
  url 'http://www.seasidetech.net/en/plugins-redmine---matrice-de-tracabilite-gc21.html'
  author_url 'http://www.seasidetech.net/en/index.php'





  settings :default => {'tracker0' => nil, 'tracker1' => nil}, :partial => 'settings/traceability'

  # This plugin adds a project module
  # It can be enabled/disabled at project level (Project settings -> Modules)
  project_module :traceability do
    # This permission has to be explicitly given
    # It will be listed on the permissions screen
    permission :view_mt, {:mt => [:index]}
  end
  
   logger = Logger.new(STDOUT)
    ActiveRecord::Base.logger = logger

  # A new item is added to the project menu
  menu :project_menu, :traceability_matrix,
  {:controller => 'mt', :action => 'index'},
  :caption => :'traceability_matrix.menu_item_name',
  :param => :project_id
end
